Get Font Family
GET
/v1/fonts/families/{family_id}
const url = 'https://agents.lumalabs.ai/v1/fonts/families/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://agents.lumalabs.ai/v1/fonts/families/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”family_id
required
Family Id
string
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
ClientFontFamily
One font family and its ready faces.
object
faces
required
Faces
Array<object>
ClientFontFaceOne ready face, with a presigned download URL.
object
id
required
Id
A font_face:<uuid> ref.
string
is_variable
Is Variable
boolean
name
required
Name
string
style
required
Style
string
url
required
Url
string
variation_axes
Any of:
Array<object>
FontAxisOutOne OpenType variation axis from an uploaded variable font.
object
default_value
required
Default Value
number
max_value
required
Max Value
number
min_value
required
Min Value
number
tag
required
Tag
string
null
weight
required
Weight
integer
id
required
Id
A font_family:<uuid> ref.
string
name
required
Name
string
normalized_family_name
required
Normalized Family Name
string
preview_face
required
ClientFontFace
One ready face, with a presigned download URL.
object
id
required
Id
A font_face:<uuid> ref.
string
is_variable
Is Variable
boolean
name
required
Name
string
style
required
Style
string
url
required
Url
string
variation_axes
Any of:
Array<object>
FontAxisOutOne OpenType variation axis from an uploaded variable font.
object
default_value
required
Default Value
number
max_value
required
Max Value
number
min_value
required
Min Value
number
tag
required
Tag
string
null
weight
required
Weight
integer
Example
{ "faces": [ { "is_variable": false } ], "preview_face": { "is_variable": false }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}